### Class

# GdkWayland WaylandSurface

#### Description [src]

    final class GdkWayland.WaylandSurface : Gdk.Surface
    {
      /* No available fields */
    }

The Wayland implementation of `GdkSurface`.

Beyond the `GdkSurface` API, the Wayland implementation offers access to the Wayland `wl_surface` object with `gdk_wayland_surface_get_wl_surface()`.

#### Ancestors

- GdkSurface
- GObject

#### Descendants

- GdkWaylandPopup
- GdkWaylandToplevel

#### Instance methods

###### gdk_wayland_surface_get_wl_surface

Returns the Wayland `wl_surface` of a `GdkSurface`.

##### Methods inherited from GdkSurface (25)

Please see GdkSurface for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GdkSurface (8)

###### Gdk.Surface:cursor

The mouse pointer for the `GdkSurface`.

###### Gdk.Surface:display

The `GdkDisplay` connection of the surface.

###### Gdk.Surface:frame-clock

The `GdkFrameClock` of the surface.

###### Gdk.Surface:height

The height of the surface, in pixels.

###### Gdk.Surface:mapped

Whether the surface is mapped.

###### Gdk.Surface:scale

The scale of the surface.

since: 4.12

###### Gdk.Surface:scale-factor

The scale factor of the surface.

###### Gdk.Surface:width

The width of the surface in pixels.

#### Signals

##### Signals inherited from GdkSurface (5)

###### GdkSurface::enter-monitor

Emitted when `surface` starts being present on the monitor.

###### GdkSurface::event

Emitted when GDK receives an input event for `surface`.

###### GdkSurface::layout

Emitted when the size of `surface` is changed, or when relayout should be performed.

###### GdkSurface::leave-monitor

Emitted when `surface` stops being present on the monitor.

###### GdkSurface::render

Emitted when part of the surface needs to be redrawn.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.